org.richfaces.ui.application

## Class StateExpressionFactory

- java.lang.Object
- - javax.el.ExpressionFactory
  - - org.richfaces.ui.application.StateExpressionFactory

-     public abstract class StateExpressionFactory
      extends javax.el.ExpressionFactory

  Author:
    asmirnov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateExpressionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `coerceToType(java.lang.Object obj, java.lang.Class<?> targetType)`
    `javax.el.MethodExpression` | `createMethodExpression(javax.el.ELContext context, java.lang.String expression, java.lang.Class<?> expectedReturnType, java.lang.Class<?>[] expectedParamTypes)`
    `javax.el.ValueExpression` | `createValueExpression(javax.el.ELContext context, java.lang.String expression, java.lang.Class<?> expectedType)`
    `javax.el.ValueExpression` | `createValueExpression(java.lang.Object instance, java.lang.Class<?> expectedType)`
    `abstract javax.el.ExpressionFactory` | `getDefaultFactory()`

    - ### Methods inherited from class javax.el.ExpressionFactory

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateExpressionFactory

          public StateExpressionFactory()

  - ### Method Detail

    - #### coerceToType

          public java.lang.Object coerceToType(java.lang.Object obj,
                                      java.lang.Class<?> targetType)

      Specified by:
        `coerceToType` in class `javax.el.ExpressionFactory`
      Parameters:
        `obj` -
        `targetType` -
      Returns:
      See Also:
        `ExpressionFactory.coerceToType(java.lang.Object, java.lang.Class)`

    - #### createMethodExpression

          public javax.el.MethodExpression createMethodExpression(javax.el.ELContext context,
                                                         java.lang.String expression,
                                                         java.lang.Class<?> expectedReturnType,
                                                         java.lang.Class<?>[] expectedParamTypes)

      Specified by:
        `createMethodExpression` in class `javax.el.ExpressionFactory`
      Parameters:
        `context` -
        `expression` -
        `expectedReturnType` -
        `expectedParamTypes` -
      Returns:
      See Also:
        `ExpressionFactory.createMethodExpression(javax.el.ELContext, java.lang.String, java.lang.Class, java.lang.Class<?>[])`

    - #### createValueExpression

          public javax.el.ValueExpression createValueExpression(javax.el.ELContext context,
                                                       java.lang.String expression,
                                                       java.lang.Class<?> expectedType)

      Specified by:
        `createValueExpression` in class `javax.el.ExpressionFactory`
      Parameters:
        `context` -
        `expression` -
        `expectedType` -
      Returns:
      See Also:
        `ExpressionFactory.createValueExpression(javax.el.ELContext, java.lang.String, java.lang.Class)`

    - #### createValueExpression

          public javax.el.ValueExpression createValueExpression(java.lang.Object instance,
                                                       java.lang.Class<?> expectedType)

      Specified by:
        `createValueExpression` in class `javax.el.ExpressionFactory`
      Parameters:
        `instance` -
        `expectedType` -
      Returns:
      See Also:
        `ExpressionFactory.createValueExpression(java.lang.Object, java.lang.Class)`

    - #### getDefaultFactory

          public abstract javax.el.ExpressionFactory getDefaultFactory()

      Returns:
        the defaultFactory

Copyright © 2013. All Rights Reserved.